ros-humble-gz-ros2-control-demos (0.7.15-1jammy) jammy; urgency=high

  * Fix ackermann demo (backport #582 <https://github.com/ros-controls/gz_ros2_control/issues/582>) (#585 <https://github.com/ros-controls/gz_ros2_control/issues/585>)
  * Fix quotes in launch files (#558 <https://github.com/ros-controls/gz_ros2_control/issues/558>)
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 22 May 2025 22:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.14-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Sun, 20 Apr 2025 22:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.13-1jammy) jammy; urgency=high

  * Remove gtest dependency (#543 <https://github.com/ros-controls/gz_ros2_control/issues/543>) (#545 <https://github.com/ros-controls/gz_ros2_control/issues/545>)
  * Add Mecanum vehicle example (backport #451 <https://github.com/ros-controls/gz_ros2_control/issues/451>) (#521 <https://github.com/ros-controls/gz_ros2_control/issues/521>)
  * Backport updates to demos and tests (#399 <https://github.com/ros-controls/gz_ros2_control/issues/399>, #485 <https://github.com/ros-controls/gz_ros2_control/issues/485>, #486 <https://github.com/ros-controls/gz_ros2_control/issues/486>, #498 <https://github.com/ros-controls/gz_ros2_control/issues/498>, #517 <https://github.com/ros-controls/gz_ros2_control/issues/517>) (#522 <https://github.com/ros-controls/gz_ros2_control/issues/522>)
  * Rename ign to gz (backport #67 <https://github.com/ros-controls/gz_ros2_control/issues/67>) (#515 <https://github.com/ros-controls/gz_ros2_control/issues/515>)
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 03 Apr 2025 22:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.12-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 19 Feb 2025 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.11-1jammy) jammy; urgency=high

  * Update diff_drive_controller.yaml (#494 <https://github.com/ros-controls/gz_ros2_control/issues/494>) (#497 <https://github.com/ros-controls/gz_ros2_control/issues/497>)
    (cherry picked from commit 135332632bd340f17eeb0930b0d46b30fb956ebb)
    Co-authored-by: Aarav Gupta <mailto:amronos275@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 06 Feb 2025 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.10-1jammy) jammy; urgency=high

  * Publish z component instead of x (#479 <https://github.com/ros-controls/gz_ros2_control/issues/479>)
  * Fix ackermann demo (#468 <https://github.com/ros-controls/gz_ros2_control/issues/468>)
  * Add a namespaced example (#457 <https://github.com/ros-controls/gz_ros2_control/issues/457>) (#461 <https://github.com/ros-controls/gz_ros2_control/issues/461>)
  * Add missing bridges for simulation time (backport #443 <https://github.com/ros-controls/gz_ros2_control/issues/443>) (#446 <https://github.com/ros-controls/gz_ros2_control/issues/446>)
  * Fix docs on humble (#365 <https://github.com/ros-controls/gz_ros2_control/issues/365>)
  * fixed robot name (#358 <https://github.com/ros-controls/gz_ros2_control/issues/358>) (#360 <https://github.com/ros-controls/gz_ros2_control/issues/360>)
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 04 Feb 2025 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.9-1jammy) jammy; urgency=high

  * [Backport humble]  Ackermann steering example (#352 <https://github.com/ros-controls/gz_ros2_control/issues/352>)
    Co-authored-by: huzaifa <mailto:84243533+huzzu7@users.noreply.github.com>
  * Fixed pendulum examples (#353 <https://github.com/ros-controls/gz_ros2_control/issues/353>)
  * Rename variable in launch file (#327 <https://github.com/ros-controls/gz_ros2_control/issues/327>) (#338 <https://github.com/ros-controls/gz_ros2_control/issues/338>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit cd0b002c49e71be459f4e9f0a063b97fed195b28)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * added color definitions (#310 <https://github.com/ros-controls/gz_ros2_control/issues/310>) (#312 <https://github.com/ros-controls/gz_ros2_control/issues/312>)
    (cherry picked from commit 7cb6fd901f373d6fcfa75ef23e43c6b9d7b186a7)
    Co-authored-by: Reza Kermani <mailto:kermani.areza@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 01 Jul 2024 22:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.8-1jammy) jammy; urgency=high

  * Update pendulum-example  (#301 <https://github.com/ros-controls/gz_ros2_control/issues/301>) (#303 <https://github.com/ros-controls/gz_ros2_control/issues/303>)
    * Change initial pose of pendulum
    * Make position and effort version of pendulum equal
    (cherry picked from commit 1e7721409e5e3d2c583868353a09929ca37bf860)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Add cart-pole demo (#289 <https://github.com/ros-controls/gz_ros2_control/issues/289>) (#290 <https://github.com/ros-controls/gz_ros2_control/issues/290>)
    (cherry picked from commit 27af2108e77420dc46c83ac31658fccb67e33911)
    # Conflicts:
    #     gz_ros2_control_demos/launch/pendulum_example_effort.launch.py
    #     gz_ros2_control_demos/launch/pendulum_example_position.launch.py
    #     gz_ros2_control_demos/urdf/test_pendulum_effort.xacro.urdf
    #     gz_ros2_control_demos/urdf/test_pendulum_position.xacro.urdf
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 13 May 2024 22:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 08 Apr 2024 22:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.6-1jammy) jammy; urgency=high

  * Add ros_gz_bridge as dependency to demos (backport #256 <https://github.com/ros-controls/gz_ros2_control/issues/256>) (#257 <https://github.com/ros-controls/gz_ros2_control/issues/257>)
    * Add dep (#256 <https://github.com/ros-controls/gz_ros2_control/issues/256>)
    (cherry picked from commit b35100db16e80ffb574c0266321800e2197136c3)
    # Conflicts:
    #     gz_ros2_control_demos/package.xml
    * fixed merge
    ---------
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 20 Mar 2024 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.3-1jammy) jammy; urgency=high

  * Removed cartpole files
  * Rename cartpole with cart (backport #214 <https://github.com/ros-controls/gz_ros2_control/issues/214>) (#217 <https://github.com/ros-controls/gz_ros2_control/issues/217>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 03 Jan 2024 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.2-1jammy) jammy; urgency=high

  * Update diff_drive_example.launch.py (#207 <https://github.com/ros-controls/gz_ros2_control/issues/207>)
  * Cleanup controller config (backport #180 <https://github.com/ros-controls/gz_ros2_control/issues/180>) (#181 <https://github.com/ros-controls/gz_ros2_control/issues/181>)
    * Cleanup controller config (#180 <https://github.com/ros-controls/gz_ros2_control/issues/180>)
    (cherry picked from commit 223174515a64008b2ffef5b730c4c61cc78ff8bc)
  * Contributors: Jakub Delicat, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 03 Jan 2024 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.7.1-1jammy) jammy; urgency=high

  * Set C++ version to 17 (#171 <https://github.com/ros-controls/gz_ros2_control/issues/171>) (#174 <https://github.com/ros-controls/gz_ros2_control/issues/174>)
    (cherry picked from commit 353b5a001733612241049557a907f835b53f35ac)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Update diff_drive_controller_velocity.yaml (#172 <https://github.com/ros-controls/gz_ros2_control/issues/172>) (#173 <https://github.com/ros-controls/gz_ros2_control/issues/173>)
    (cherry picked from commit 7559d9bfe9dc836a7fc4907cc234554600e54b14)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-gz-ros2-control-demos (0.5.0-1jammy) jammy; urgency=high

  * Clean shutdown example position (#135 <https://github.com/ros-controls/gz_ros2_control/issues/135>) (#139 <https://github.com/ros-controls/gz_ros2_control/issues/139>)
  * Fixed /clock with gz_ros2_bridge (#137 <https://github.com/ros-controls/gz_ros2_control/issues/137>) (#138 <https://github.com/ros-controls/gz_ros2_control/issues/138>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-humble-gz-ros2-control-demos (0.4.4-1jammy) jammy; urgency=high

  * Merge pull request #121 <https://github.com/ros-controls/gz_ros2_control/issues/121> from livanov93/port-master-to-humble
  * Fix gripper mimic joint example.
  * Pre-commit fix for tricycle configuration.
  * Replace ros_ign_gazebo with ros_gz_sim
  * use ros_gz_sim
  * Fix Docker entrypoint and add launch CLI to dependencites (#84 <https://github.com/ros-controls/gz_ros2_control/issues/84>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Add tricycle demo (#80 <https://github.com/ros-controls/gz_ros2_control/issues/80>)
  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * fix demo launch (#75 <https://github.com/ros-controls/gz_ros2_control/issues/75>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Bence Magyar, Denis Štogl, Ian Chen, Krzysztof Wojciechowski, Lovro Ivanov, Maciej Bednarczyk, Polgár András, Tony Najjar

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 27 Mar 2023 22:00:00 -0000

ros-humble-gz-ros2-control-demos (0.4.3-1jammy) jammy; urgency=high

  * Add tricycle example to the humble branch #119 <https://github.com/ros-controls/gz_ros2_control/issues/119> from azazdeaz/humble
  * Replace ros_ign_gazebo with ros_gz_sim
  * Add tricycle demo (#80 <https://github.com/ros-controls/gz_ros2_control/issues/80>)
  * Fix example demos in humble branch #118 <https://github.com/ros-controls/gz_ros2_control/issues/118> from iche033/iche033/fix_humble_demos
  * use ros_gz_sim
  * fix demo launch (#75 <https://github.com/ros-controls/gz_ros2_control/issues/75>)
  * Adjust URLs (#65 <https://github.com/ros-controls/gz_ros2_control/issues/65>)
  * gz_ros2_control_demos: Install urdf dir (#61 <https://github.com/ros-controls/gz_ros2_control/issues/61>)
  * Remove URDF dependency (#56 <https://github.com/ros-controls/gz_ros2_control/issues/56>)
  * Use Ubuntu Jammy in CI (#47 <https://github.com/ros-controls/gz_ros2_control/issues/47>)
  * Add support for initial_values for hardware interfaces when starting simulation. (#27 <https://github.com/ros-controls/gz_ros2_control/issues/27>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Bence Magyar, Denis Štogl, Maciej Bednarczyk, ahcorde

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 15 Feb 2023 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.4.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 17 Mar 2022 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.3.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 15 Mar 2022 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.2.0-1jammy) jammy; urgency=high

  * Merge pull request #36 <https://github.com/ignitionrobotics/gz_ros2_control/issues/36> from ignitionrobotics/ahcorde/foxy_to_galactic
    Foxy -> Galactic
  * Fixed galactic dependency
  * Merge remote-tracking branch 'origin/foxy' into ahcorde/foxy_to_galactic
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 16 Feb 2022 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.1.2-1jammy) jammy; urgency=high

  * Updated docs and renamed diff drive launch file (#32 <https://github.com/ignitionrobotics/gz_ros2_control/issues/32>)
    Co-authored-by: Denis Štogl <mailto:denis@stogl.de>
  * Added Diff drive example (#28 <https://github.com/ignitionrobotics/gz_ros2_control/issues/28>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Sun, 13 Feb 2022 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.1.1-1jammy) jammy; urgency=high

  * Change package names from ignition_ to ign_ (#19 <https://github.com/ignitionrobotics/gz_ros2_control/issues/19>)
    * Change package names from ignition_ to ign_
  * Added missing dependencies to package.xml (#18 <https://github.com/ignitionrobotics/gz_ros2_control/pull/21>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 06 Jan 2022 23:00:00 -0000

ros-humble-gz-ros2-control-demos (0.1.0-1jammy) jammy; urgency=high

  * Ignition ros2 control (#1 <https://github.com/ignitionrobotics/gz_ros2_control/issues/1>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Vatan Aksoy Tezer

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 04 Jan 2022 23:00:00 -0000


